---
title: "VendureEvent"
generated: true
---
<GenerationInfo sourceFile="packages/core/src/event-bus/vendure-event.ts" sourceLine="7" packageName="@vendure/core" />

The base class for all events used by the EventBus system.

```ts title="Signature"
class VendureEvent {
    public readonly createdAt: Date;
    constructor()
}
```

<div className="members-wrapper">

### createdAt

<MemberInfo kind="property" type={`Date`}   />


### constructor

<MemberInfo kind="method" type={`() => VendureEvent`}   />




</div>
